Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/asciinema: update to 1.0.0

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Thu, 2 Apr 2015 21:53:25 +0000

1.0 now builds with GO & adds a few more options:

https://github.com/asciinema/asciinema/releases

record / auth & upload tested, binary is 30% smaller than the release.
---
 testing/asciinema/APKBUILD               | 31 +++++++++++++++++--------------
 testing/asciinema/asciinema.post-install | 15 +++++++++++++++
 2 files changed, 32 insertions(+), 14 deletions(-)
 create mode 100644 testing/asciinema/asciinema.post-install
diff --git a/testing/asciinema/APKBUILD b/testing/asciinema/APKBUILD
index d215d5c..e16f62b 100644
--- a/testing/asciinema/APKBUILD
+++ b/testing/asciinema/APKBUILD
_at_@ -1,18 +1,18 @@
 # Contributor: Fabian Affolter <fabian_at_affolter-engineering.ch>
 # Maintainer: Fabian Affolter <fabian_at_affolter-engineering.ch>
 pkgname=asciinema
-pkgver=0.9.8
+pkgver=1.0.0
 pkgrel=0
 pkgdesc="A Command line recorder for asciinema.org service"
-url="https://github.com/sickill/asciinema/"
-arch="noarch"
-license="MIT"
-depends="python py-requests"
+url="https://github.com/asciinema/asciinema/"
+arch="all"
+license="GPLv3"
+depends=""
 depends_dev=""
-makedepends="python-dev py-setuptools"
-install=""
-subpackages=""
-source="http://pypi.python.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+makedepends="go"
+install="$pkgname.post-install"
+subpackages="$pkgname-doc"
+source="https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
_at_@ -27,14 +27,17 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	python setup.py build || return 1
+	export GOPATH="$_builddir"
+	mkdir -p src/github.com/asciinema
+	ln -s "$_builddir" src/github.com/asciinema/asciinema 
+	make build || return 1
 }
 
 package() {
 	cd "$_builddir"
-	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	PREFIX="$pkgdir"/usr make install || return 1
 }
 
-md5sums="ae8662d033af0e973d5864a247117e7f  asciinema-0.9.8.tar.gz"
-sha256sums="f20bf96c5ec5f4faba7c4c91ce5b48696ce8160593a4897e8a87cc839214df1f  asciinema-0.9.8.tar.gz"
-sha512sums="2df8520dca6c3a61e0bb5987a723a9668423da088cbba91e79ed51f0000e242290477f7a23e409270e29d5792e8a88e38d3c33963b835ce8dd9fc0cd24e2b7b4  asciinema-0.9.8.tar.gz"
+md5sums="82d08c97d8e15a9f7c9a114af8553356  v1.0.0.tar.gz"
+sha256sums="5082606ba901e9912de91f94aabc968153fd0580209f295e00a852b8e6e456e8  v1.0.0.tar.gz"
+sha512sums="83e46e90ff240a8a870f3854697b264e79c2079fae899790fa03724142680c27701abc4bfb7ec5c530776fa034846900c24d718100f1afba62cee6f334f1e479  v1.0.0.tar.gz"
diff --git a/testing/asciinema/asciinema.post-install b/testing/asciinema/asciinema.post-install
new file mode 100644
index 0000000..f933ba9
--- /dev/null
+++ b/testing/asciinema/asciinema.post-install
_at_@ -0,0 +1,15 @@
+#!/bin/sh
+
+NORMAL="\033[1;0m"
+STRONG="\033[1;1m"
+GREEN="\033[1;32m"
+
+print_start() {
+	local prompt="${STRONG}${GREEN}$1 ${NORMAL}${STRONG}$2 ${STRONG}${GREEN}$3 ${NORMAL}"
+        printf "${prompt} %s"
+}
+
+print_start "\nAdd" "'export LANG="en_US.UTF-8"'" "to /etc/profile or ~/.profile for asciinema to work.\n\n"
+
+exit 0
+
-- 
2.3.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 02 2015 - 21:53:25 GMT